This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 173507 - yum update procceses transaction in wrong order
yum update procceses transaction in wrong order
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
http://atlantis.ausil.us/yumupdate
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-17 13:15 EST by Dennis Gilmore
Modified: 2014-01-21 17:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 16:21:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2005-11-17 13:15:52 EST
Description of problem: 
When Doing update from rawhide system with monolithic X to modular X  the 
update fails.  the reason being the yum wants to remove the old 
xorg-font-utils before doing the font upgrade.  mharris has specified the 
correct obsoletes. 
 
[2005-11-17 12:06] <skvidal> and where do they require that package? You said 
it was all in %postun/post? 
[2005-11-17 12:07] <mharris> skvidal: yep, post/postun scripts 
[2005-11-17 12:07] <skvidal> ts.order() is still done using rpm - so I'd guess 
something is sorting in the wrong order so that the obsolete is happening 
first 
Version-Release number of selected component (if applicable): 
rpm-4.4.2-6 
 
How reproducible: 
always 
 
Steps to Reproduce: 
1. yum update  
2. 
3. 
   
Actual results: 
 
update files with 
Error: Missing Dependency: /usr/X11R6/bin/mkfontdir is needed by package 
fonts-xorg-ISO8859-14-100dpi 
Error: Missing Dependency: xorg-x11-devel is needed by package Xaw3d-devel 
Error: Missing Dependency: /usr/X11R6/bin/mkfontdir is needed by package 
fonts-xorg-ISO8859-15-75dpi 
Error: Missing Dependency: /usr/X11R6/bin/mkfontdir is needed by package 
fonts-xorg-ISO8859-2-75dpi 
Error: Missing Dependency: /usr/X11R6/bin/mkfontdir is needed by package 
fonts-xorg-ISO8859-15-100dpi 
Error: Missing Dependency: /usr/X11R6/bin/mkfontdir is needed by package 
fonts-xorg-ISO8859-9-75dpi 
Error: Missing Dependency: /usr/X11R6/bin/mkfontdir is needed by package 
fonts-xorg-ISO8859-2-100dpi 
Error: Missing Dependency: /usr/X11R6/bin/mkfontdir is needed by package 
fonts-xorg-ISO8859-14-75dpi 
Error: Missing Dependency: /usr/X11R6/bin/mkfontdir is needed by package 
fonts-xorg-ISO8859-9-100dpi 
 
Expected results: 
 yum update procedes 
 
Additional info: 
 
at the url  is the full output from the yum update
Comment 1 Jeff Johnson 2005-11-18 11:46:13 EST
I see yum, not rpm, as the failing component here.
Comment 2 Jeremy Katz 2005-11-18 12:12:41 EST
What's in your /etc/yum.conf?  Do you have obsoletes=1 set?
Comment 3 Dennis Gilmore 2005-11-18 13:38:23 EST
thats what i have. 
 
[dennis@anubis ~]$ cat /etc/yum.conf 
[main] 
cachedir=/var/cache/yum 
debuglevel=2 
logfile=/var/log/yum.log 
pkgpolicy=newest 
distroverpkg=redhat-release 
tolerant=1 
exactarch=1 
retries=20 
obsoletes=1 
gpgcheck=1 
 
# PUT YOUR REPOS HERE O 
Comment 4 Jeremy Katz 2006-04-19 16:21:53 EDT
Haven't been able to reproduce this.

Note You need to log in before you can comment on or make changes to this bug.